
Attribute VB_Name = "Module1"

'  trm_vb.bas

'  Tsunami VB interface declarations

Global Const CASE_SENSITIVE = 1
Global Const NO_DUPLICATES = 2
Global Const NO_COMPRESSION = 4
Global Const BINARY_KEY = 8
Global Const KEY_ONLY = 4096
Global Const REBUILD_IDS = 2

Type KeySegment
    description As String * 25
    number As Long
    startingPosition As Long
    length As Long
    flags As Long
End Type

Public keySeg As KeySegment

Declare Function trm_Accelerate Lib "TRM.DLL" _
       (FileHandle As Long, CacheSize As Long) As Long

Declare Function trm_Close Lib "TRM.DLL" _
       (FileHandle As Long) As Long

Declare Function trm_CloseAll Lib "TRM.DLL" _
       () As Long

Declare Function trm_Count Lib "TRM.DLL" _
       (FileHandle As Long) As Long

Declare Function trm_Create Lib "TRM.DLL" _
       (PathFileName As String, FileDef As String, OverWrite As Long) As Long

Declare Function trm_CurrKeyPos Lib "TRM.DLL" _
       (FileHandle As Long) As Long

Declare Function trm_Delete Lib "TRM.DLL" _
       (FileHandle As Long) As Long

Declare Function trm_FileIsOpen Lib "TRM.DLL" _
       (FileHandle As Long) As Long

Declare Function trm_FileSize Lib "TRM.DLL" _
       (FileHandle As Long) As Long

Declare Function trm_Flush Lib "TRM.DLL" _
       () As Long

Declare Function trm_GetByKeyPos Lib "TRM.DLL" _
       (FileHandle As Long, KeyPos As Long) As String

Declare Function trm_GetDirect Lib "TRM.DLL" _
       (FileHandle As Long, RecordPtr As String) As String

Declare Function trm_GetEqual Lib "TRM.DLL" _
       (FileHandle As Long, KeyNo As Long, KeyVal As String) As String

Declare Function trm_GetEqualOrGreater Lib "TRM.DLL" _
       (FileHandle As Long, KeyNo As Long, KeyVal As String) As String

Declare Function trm_GetEqualOrLess Lib "TRM.DLL" _
       (FileHandle As Long, KeyNo As Long, KeyVal As String) As String

Declare Function trm_GetFileDef Lib "TRM.DLL" _
       (FileHandle As Long) As String

Declare Function trm_GetFileVer Lib "TRM.DLL" _
       (FileHandle As Long) As String

Declare Function trm_GetFirst Lib "TRM.DLL" _
       (FileHandle As Long, KeyNo As Long) As String

Declare Function trm_GetGreater Lib "TRM.DLL" _
       (FileHandle As Long, KeyNo As Long, KeyVal As String) As String

Declare Function trm_GetLast Lib "TRM.DLL" _
       (FileHandle As Long, KeyNo As Long) As String

Declare Function trm_GetLess Lib "TRM.DLL" _
       (FileHandle As Long, KeyNo As Long, KeyVal As String) As String

Declare Function trm_GetNext Lib "TRM.DLL" _
       (FileHandle As Long) As String

Declare Function trm_GetPosition Lib "TRM.DLL" _
       (FileHandle As Long, Direction As Long) As String

Declare Function trm_GetPrev Lib "TRM.DLL" _
       (FileHandle As Long) As String

Declare Function trm_Insert Lib "TRM.DLL" _
       (FileHandle As Long, Record As String) As Long

Declare Function trm_Integrity Lib "TRM.DLL" _
       (FileHandle As Long) As Long

Declare Function trm_Open Lib "TRM.DLL" _
       (PathFileName As String, MultiUser As Long) As Long

Declare Function trm_Rebuild Lib "TRM.DLL" _
       (PathFileName As String, SaveFile As String, FileDef As String) As Long

Declare Function trm_Recover Lib "TRM.DLL" _
       (PathFileName As String, OutFile As String, PageSize As Long, Compression As Long) As Long

Declare Function trm_Result Lib "TRM.DLL" _
       (FileHandle As Long) As Long

Declare Function trm_SetKeyPath Lib "TRM.DLL" _
       (FileHandle As Long, KeyNo As Long) As Long

Declare Function trm_StepFirst Lib "TRM.DLL" _
       (FileHandle As Long) As String

Declare Function trm_StepLast Lib "TRM.DLL" _
       (FileHandle As Long) As String

Declare Function trm_StepNext Lib "TRM.DLL" _
       (FileHandle As Long) As String

Declare Function trm_StepPrev Lib "TRM.DLL" _
       (FileHandle As Long) As String

Declare Function trm_TimeOut Lib "TRM.DLL" _
       (Limit As Long) As Long

Declare Function trm_Update Lib "TRM.DLL" _
       (FileHandle As Long, Record As String) As Long

Declare Function trm_Version Lib "TRM.DLL" _
       () As Long
